@font-face {
  font-family: Raleway;
  src: url(./Raleway-Regular.ttf);
}

html {
  box-sizing: border-box;
}

body {
  margin: 0;
  min-height: 100vh;
  overflow-y: hidden;
  display: flex;
  align-items: center;
  font-family: Raleway, sans-serif;
  font-weight: 400;
}

/* Video Background */
.video-background {
  position: fixed;
  right: 0;
  bottom: 0;
  width: 100vw;
  height: auto;

}

video {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

.video-overlay {
  position: fixed;
  left: 0;
  top: 0;
  height: 100vh;
  width: 100vw;
  background: rgba(255,255,255, 0.6);
}

/* Container */
.container {
  min-width: 580px;
  min-height: 304px;
  color: black;
  margin: 0 auto;
  padding: 25px 50px;
  border-radius: 5px;
  z-index: 2;
  display: flex;
  justify-content: center;
  background: rgb(255 255 255 / 85%);

}

.input-container {
  position: relative;
  top: 20px;
}

h1 {
  font-size: 35px;
  text-align: center;
  margin-top: 0;
  margin-bottom: 10px;
}

/* Form */
.form {
  width: 480px;
}

label {
  font-weight: bold;
  margin-left: 10px;
}

input {
  width: 95%;
  margin-bottom: 10px;
  padding: 10px;
  border: 1px solid #ccc;
  border-radius: 20px;
  background: #fff;
  outline: none;
  font-family: Raleway, sans-serif;
  font-weight: 400;

}

/* Button */
button {
  width: 100%;
  height: 40px;
  border-radius: 20px;
  margin-top: 15px;
  border: none;
  text-transform: uppercase;
  background: #006959;
  color: white;
  cursor: pointer;
  outline: none;
}

button:hover {
  filter: brightness(115%);
}

/* Countdown */
ul {
  margin-left: -45px;
}

li {

  font-size: 30px;
  list-style-type: none;
  padding: 10px;
  text-transform: uppercase;
  /* ⇓ Displays contents in one line */  
  display: inline-block;
}

li span {
  display: block;
  font-size: 80px;
  text-align: center;
}

/* Complete */
.complete {
  position: relative;
  top: 60px;
}

.complete-title {
  /* Animation Shorthand animation-name, -duration, -timing-function, -delay, -iteration-count, -direction  */
  /* ⇓ Name, Duration, count, https://www.w3schools.com/css/css3_animations.asp*/  
  animation: complete 4s infinite;
}

@keyframes complete {
  0%{
    color: rgb(196, 22, 22);
  }
  25%{
    color: rgb(196, 170, 22);
  }
  50% {
    color: rgb(28, 196, 22);
    transform: scale(1.5)
  }
  75% {
    color: rgb(22, 118, 196);
  }
  100% {
    color: rgb(97, 22, 196);
  }
}
/* Media Query: Large Smartphone (Vertical) */
@media screen and (max-width: 900px) {
  .video-background {
    height: 100vh;
    width: 100vw;

  }

  video {
    object-fit: cover;
    object-position: 55%;
  }
}
@media screen and (max-width: 600px) {
  .video-background {
    height: 100vh;
    width: 100vw;

  }
  
  video {
    object-fit: cover;
    object-position: 70%;
    margin-top: -1px;
  }

  .container {
    min-width: unset;
    width: 95vw;
    min-height: 245px;
    padding: 20px;
    margin: 10px;
  }

  .input-container {
    top: unset;
  }

  .countdown {
    position: relative;
    top: 10px;
  }

  .form {
    width: unset;
  }

  input {
    width: 93%;
  }

  h1 {
    font-size: 20px;
  }

  li {
    font-size: 15px;
  }

  li span {
    font-size: 40px;
  }
}
